Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

 

Department: SUPPORT Affected Products: ADTF Streaming Library 2.9.0

Requester's Priority: Normal Platform: Other Linux 64bit

Support Level: 3rd Level Topic: StreamingLib::Reader

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage:

Für ein Praktikumsprojekt von 2 Studenten wollen wir für ein ARM traget einen Player für dat files erstellen (wie bei der Streaming

library).

Leider haben wir die Streaming Lib für das ARM target nicht zur Verfügung, daher könnten wir uns diese Möglichkeiten vorstellen:

1.      Wir brauchen den Source Code der Streaming library.

2.      Oder wir brauchen eine kompilierte Streaming Lib für das ARM target.

3.      Oder wir brauchen eine komplette Beschreibung des Dat Formats.

Details zum ARM haben wir noch nicht, aber die erfrage ich.

Es wäre super wenn Ihr uns bei diesem Projekt unterstützen könntet.

Best regards,

Anja Winkler

EB Assist ADTF Support-Team

Lösung:

Siehe Kommentar #717-1.

History

#1 - 2017-06-09 13:48 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to StreamingLib::Reader

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF Streaming Library 2.9.0 added

#2 - 2017-06-09 15:35 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Anja,

die Streaming Lib ist nur für das Lesen und Schreiben von DAT files gedacht, aber nicht als Player, dazu sollte ADTF verwendet werden.

Den source code der Streaming Lib können wir nicht herausgeben.

2024-05-05 1/3

https://support.digitalwerk.net/issues/717#note-1


Wir haben keine kompilierte Streaming Lib für ARM und es wird dafür auch keine mehr geben.

Aber wir könnten eine Alternative zur Streaming Lib anbieten. Hierzu die Release Mail:

Als Ersatz für die ADTF Streaming Library gibt es ab sofort die ADTF File Library unter der Open Source Lizenz ADPL v1.0 (siehe 

http://km-aev.in.audi.vwg/install_cd/beta/adtf-file-library/v0.1.0/documentation/license/ADPL1.0.txt)

Unter http://km-aev.in.audi.vwg/install_cd/beta/adtf-file-library/v0.1.0/ kann der aktuelle Source Code in der Version 0.1.0 heruntergeladen

werden:

•    a_util Library als zip (Git Clone mit “master” und Branch “release/a_util-0.1.0-for-ifhd”)

•    adtf_file Library als zip (Git Clone mit “master” und Branch “release/adtf_file-0.1.0”)

Für weitergehende Informationen: http://km-aev.in.audi.vwg/install_cd/beta/adtf-file-library/v0.1.0/documentation/html/index.html

Die File Library kann ADTF 3 und ADTF 2 Files schreiben, sowie alle ADTF File Varianten lesen.

Coming Soon:

•    DDL Unterstützung zur description Datei Erzeugung

•    Vollständige Dokumentation

•    Weitere Beispiele

-> Mit den sourcen der ADTF File Library ist die Portierung auf ARM möglich. Verwendet dazu am besten die ARMv8-a Architektur.

Ob die ADTF File Library performace optimiert ist für zeitkritische Anforderungen muss noch geklärt werden.

Sie ist in unserem Download Center absofort verfügbar:

https://support.digitalwerk.net/news/8

#3 - 2017-06-13 14:08 - hidden

Hallo Anja,

bitte um Rückmeldung bzw. Feedback zum Ticketstatus bzw. der Erwartungshaltung.

Thema aus Supportsicht eigentlich abgeschlossen.

#4 - 2017-06-13 14:30 - hidden

Hi Stephan,

in Prinzip müsste uns damit schon geholfen sein. Kannst du mir nochmal bis Mitte nächste Woche Zeit geben für die Antwort?

Grüße,

Anja

#5 - 2017-06-13 14:51 - hidden

Zeitraum für Feedback eingeräumt

#6 - 2017-06-20 13:00 - hidden

Hallo Stephan,

wir müssten soweit klar kommen.

Du kannst das Ticket schließen.

Grüße, Anja

#7 - 2017-06-20 14:29 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

- Platform Other Linux 64bit added

@Florian, Ticket kann geschlossen werden.

#8 - 2017-06-21 12:50 - hidden

- Subject changed from ADTFS-47004 Streaming Lib to ADTFS-47004 Using Streaming Library to create a DAT File Player for ARM
- Status changed from To Be Closed to Closed

#9 - 2018-01-25 12:10 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No
